Update an obligation
Authorization
apiKey x-api-key<token>
Your workspace API key. Create and manage keys in your Fusial workspace
settings. Keys carry scopes of the form resource:action.
In: header
Path Parameters
id*string
The obligation id.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
All fields optional; the obligation id comes from the path.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/obligations/string" \ -H "Content-Type: application/json" \ -d '{}'{
"obligation": {
"id": "string",
"contractId": "string",
"kind": "RENEWAL_NOTICE",
"title": "string",
"description": "string",
"sourceText": "string",
"source": "AI",
"status": "PENDING_ANCHOR",
"anchorType": "EFFECTIVE_DATE",
"offsetValue": 0,
"offsetUnit": "DAY",
"offsetDirection": "BEFORE",
"fixedDate": "2019-08-24T14:15:22Z",
"recurrenceMonths": 0,
"resolvedDate": "2019-08-24T14:15:22Z",
"resolutionBasis": "string",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z"
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "not_found",
"message": "Resource not found."
}
}{
"error": {
"code": "validation_error",
"message": "Invalid request input.",
"details": {
"issues": [
{
"path": "title",
"message": "String must contain at least 1 character(s)"
}
]
}
}
}